Bug 483770 - Wrong permissions when using gvfs
Wrong permissions when using gvfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 10:18 EST by probono
Modified: 2015-03-03 17:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:48:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description probono 2009-02-03 10:18:34 EST
Description of problem:

When using gvfs and gvfsd-archive to mount archives, the permissions are wrong.

Version-Release number of selected component (if applicable):

# Fedora 10 Live CD
[liveuser@localhost ~]$ cat /etc/fedora-release 
Fedora release 10 (Cambridge)

How reproducible:

Perfectly reproducible

Steps to Reproduce:

# Let's prepare a test binary
[liveuser@localhost ~]$ mkdir -p test/bin
[liveuser@localhost ~]$ cp $(which gnome-about) test/bin/

# Of course it is executable and runs just fine
[liveuser@localhost ~]$ ls -lh test/bin/gnome-about 
-rwxr-xr-x 1 liveuser liveuser 37K Feb  3 14:47 test/bin/gnome-about
[liveuser@localhost ~]$ test/bin/gnome-about 

# Now let's pack it
[liveuser@localhost ~]$ tar cfvj test.tar.bz2 test/

# Mount it 
/usr/libexec/gvfsd-archive file=test.tar.bz2 &

# Permissions are wrong; file is no longer executable
[liveuser@localhost ~]$ ls -lh .gvfs/test.tar.bz2/test/bin/gnome-about 
-r-------- 1 liveuser liveuser 37K  3. Feb 14:47 .gvfs/test.tar.bz2/test/bin/gnome-about
  
Actual results:

-r--------

Expected results:

-rwxr-xr-x

Additional info:

The exact same thing happens when using ISO instead of .tar.bz2
Comment 1 Bug Zapper 2009-11-18 05:58:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:48:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.